package com.ruoyi.ibs.list.service.impl;

import java.util.List;

import com.ruoyi.ibs.list.domain.CustDeptUserCmpm;
import com.ruoyi.ibs.list.mapper.CustDeptUserCmpmMapper;
import com.ruoyi.ibs.list.service.ICustDeptUserCmpmService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-01-02
 */
@Service
public class CustDeptUserCmpmServiceImpl implements ICustDeptUserCmpmService
{
    @Autowired
    private CustDeptUserCmpmMapper custDeptUserCmpmMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public CustDeptUserCmpm selectCustDeptUserCmpmById(Long id)
    {
        return custDeptUserCmpmMapper.selectCustDeptUserCmpmById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param custDeptUserCmpm 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<CustDeptUserCmpm> selectCustDeptUserCmpmList(CustDeptUserCmpm custDeptUserCmpm)
    {
        return custDeptUserCmpmMapper.selectCustDeptUserCmpmList(custDeptUserCmpm);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param custDeptUserCmpm 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertCustDeptUserCmpm(CustDeptUserCmpm custDeptUserCmpm)
    {
        return custDeptUserCmpmMapper.insertCustDeptUserCmpm(custDeptUserCmpm);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param custDeptUserCmpm 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateCustDeptUserCmpm(CustDeptUserCmpm custDeptUserCmpm)
    {
        return custDeptUserCmpmMapper.updateCustDeptUserCmpm(custDeptUserCmpm);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteCustDeptUserCmpmByIds(Long[] ids)
    {
        return custDeptUserCmpmMapper.deleteCustDeptUserCmpmByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteCustDeptUserCmpmById(Long id)
    {
        return custDeptUserCmpmMapper.deleteCustDeptUserCmpmById(id);
    }
}
